<template>
    <div class="wrapper wrapper-content">
        <div class="row">
            <div :class="lengthPanel">
                <div class="ibox float-e-margins">
                    <div class="ibox-title" v-if="title">
                        <h5>{{title}}</h5>
                    </div>
                    <div class="ibox-content">
                        <div class="row">
                            <loading :active="isLoad" color="#1ab394" is-full-page></loading>
                            <slot></slot>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        props: {
            title: {
                require: false,
                default: null
            },

            length: {
                require: false,
                default: 12
            }
        },

        computed: {
            lengthPanel() {
                let offset = 0;
                if (this.length == 8)
                    offset = 2
                if (this.length == 6)
                    offset = 3

                return `col-lg-${this.length} col-lg-offset-${offset}`
            },

            isLoad() {
                return this.$store.state.preload.loading
            }

        }
    }
</script>